DMESG(1)

NOM
dmesg - Afficher et contrôler le tampon circulaire du noyau

SYNOPSIS
dmesg [options]

dmesg --clear
dmesg --read-clear [options]
dmesg --console-level niveau
dmesg --console-on
dmesg --console-off

DESCRIPTION
dmesg est utilisé pour examiner ou contrôler le tampon circulaire du noyau.

L'action par défaut est d’afficher tous les messages du tampon circulaire du noyau.

OPTIONS
Les options --clear, --read-clear, --console-on, --console-off et --console-level sont mutuellement exclusives.

-C, --clear
    Vider le tampon circulaire du noyau.

-c, --read-clear
    Vider le tampon circulaire du noyau après avoir affiché son contenu.

-D, --console-off
    Désactiver l'affichage des messages sur la console.

-d, --show-delta
    Afficher l'horodatage et la différence de temps passé entre les messages. Si --notime est utilisé en même temps, seule la différence de temps passé, sans l'horodatage, est affichée.

-E, --console-on
    Activer l'affichage des messages sur la console.

-e, --reltime
    Afficher la date locale et la différence en format lisible.

-F, --file fichier
    Lire les messages à partir du fichier donné.

-f, --facility liste
    Restreindre l'affichage à la liste de services (séparés par des virgules) indiquée. Par exemple

    dmesg --facility=daemon

    n'affichera que les messages des démons du système. Consultez dmesg --help pour obtenir la liste des services pris en charge.

-H, --human
    Activer la sortie lisible. Consultez aussi --color, --reltime et --nopager.

-k, --kernel
    Afficher les messages du noyau.

-L, --color[=quand]
    Colorer la sortie. L’argument facultatif quand peut être auto, never ou always. En absence d’argument quand, auto est la valeur par défaut. Les couleurs peuvent être désactivées. Pour les valeurs par défaut, consultez la sortie de la commande avec --help. Consultez également la section COULEURS.

-l, --level liste
    Restreindre l'affichage à la liste de niveaux (séparés par des virgules) indiquée. Par exemple

    dmesg --level=err,warn

    n'affichera que les messages d'erreur et d'avertissement. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

-n, --console-level niveau
    Définir le niveau d'affichage des messages en console. Le niveau est un numéro ou une abréviation du nom de niveau. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

    Par exemple, -n 1 ou -n alert suppriment l'affichage de tous les messages, sauf les messages d'urgence (graves). Tous les niveaux d'affichage des messages sont enregistrés dans /proc/kmsg, ainsi syslogd(8) peut toujours être utilisé pour contrôler exactement où les messages du noyau apparaissent. Quand l'option -n est utilisée, dmesg n'affichera pas et n'effacera pas le tampon circulaire du noyau.

-P, --nopager
    Ne pas renvoyer la sortie dans un visualiseur. Un visualiseur est activé par défaut pour la sortie --human.

-r, --raw
    Afficher le tampon de message tel quel, c'est-à-dire ne pas supprimer les préfixes des niveaux de journal.

    Remarquez que le véritable format brut dépend de la méthode utilisée par dmesg(1) pour lire les messages du noyau. Le périphérique /dev/kmsg utilise un format différent de syslog(2). Pour assurer la rétrocompatibilité, dmesg(1) renvoie toujours les données au format de syslog(2). Lire le véritable format brut de /dev/kmsg est possible avec, par exemple, la commande « dd if=/dev/kmsg iflag=nonblock ».

-S, --syslog
    Forcer dmesg à utiliser l’interface syslog(2) du noyau pour lire les messages du noyau. /dev/kmsg est utilisé par défaut au lieu de syslog(2) depuis le noyau 3.5.0.

-s, --buffer-size taille
    Utiliser un tampon de la taille indiquée pour les requêtes au tampon circulaire du noyau au lieu de la taille par défaut (16392 octets) (la taille par défaut du tampon pour le journal système du noyau était 4096 au départ, puis 8192 à partir du noyau 1.3.54, et 16384 depuis la version 2.1.113). Si vous avez augmenté la taille du tampon du noyau par rapport à sa valeur par défaut, cette option peut être utilisée pour afficher le tampon en entier.

-T, --ctime
    Afficher l’horodatage au format lisible.

    Attention, l’horodatage pourrait être inexact ! L’origine des temps utilisée pour les journaux n’est pas mise à jour après un retour de veille du système (SUSPEND et RESUME).

-t, --notime
    Ne pas afficher l’horodatage du noyau.

--time-format format
    Afficher les horodatages en utilisant le format indiqué, qui peut être ctime, reltime, delta ou iso. Les trois premiers formats sont des alias des options spécifiques au format de date. Le format iso est une implémentation dmesg du format d’horodatage ISO-8601. Le but de ce format est de faciliter la comparaison d’horodatages entre deux systèmes ainsi que tout autre analyse. La définition de l’horodatage iso est : AAAA-MM-JJ<T>HH:MM:SS,<microsecondes><-+><décalage du fuseau horaire par rapport à UTC>.

    Le format iso a le même problème que ctime : la date pourrait être inexacte après un retour de veille du système.

-u, --userspace
    Afficher les messages en espace utilisateur.

-w, --follow
    Attendre de nouveaux messages. Cette fonctionnalité n’est prise en charge que sur les systèmes avec un /dev/kmsg lisible (depuis le noyau 3.5.0).

-x, --decode
    Décoder les numéros de service et de niveau (priorité) en préfixes lisibles.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

COULEURS
La coloration implicite peut être désactivée par un fichier /etc/terminal-colors.d/dmesg.disable vide. Consultez terminal-colors.d(5) pour plus de précisions sur la configuration de coloration.

Les noms de couleurs logiques pris en charge par dmesg sont les suivantes.

subsys
    Le préfixe de sous-système du message (par exemple, « ACPI »).

time
    L’horodatage du message.

timebreak
    L’horodatage du message au format ctime court dans les sorties avec --reltime ou --human.

alert
    Le texte du message avec la priorité de journalisation d’alerte.

crit
    Le texte du message avec la priorité de journalisation critique.

err Le texte du message avec la priorité de journalisation d’erreur.

warn
    Le texte du message avec la priorité de journalisation d’avertissement.

segfault
    Le texte du message qui informe d’une erreur de segmentation.

VOIR AUSSI
terminal-colors.d(5), syslogd(8)

AUTEURS
Karel Zak (kzak@redhat.com)

dmesg a été initialement écrit par Theodore Ts'o (tytso@athena.mit.edu)

DISPONIBILITÉ
La commande dmesg fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 1999. La version présente dans Debian est maintenue par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.